RK-A2 - Feature #3591

Initial support for curriculum parameter to div
06/04/2024 02:04 PM - Ram Kordale

Status: Resolved Start date: 06/04/2024
Priority: High Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 1.00 hour
Target version: Spent time: 0.00 hour
Description

If we have a parameter curriculum="k-12", please show "Please select grade and subject <grade dropdown> <subject dropdown>"
left aligned with the chat interface. Grade drop down should show "5" to "12" and subject dropdown should contain "Science", "Social
Science", "Mathematics" as options. We will add more options later.

If user picks a grade K, and subject S, then call call_openai_api with index="cbse-K-S".

Notes:

1) if curriculum="k-12" - not present => use index="1"

2) if curriculum="k-12" - is present and nothing in dropdown selected - SEND is enabled but we show a message about selecting
both dropdowns - when clicked on SEND

3) if curriculum="k-12" - is present and one of the dropdown is not selected - SEND is enabled but we show a message about
selecting the missing dropdown - when clicked on SEND

4) if curriculum="k-12" - is present and both dropdowns are selected - show response

History

#1 - 06/04/2024 02:20 PM - Ayanava Karmakar
- Estimated time set to 1.00 h

#2 - 06/05/2024 05:55 AM - Ayanava Karmakar
- Status changed from New to In Progress

- Assignee set to Ayanava Karmakar

#3 - 06/05/2024 08:15 AM - Ayanava Karmakar
- % Done changed from 0 to 50

#4 - 06/05/2024 08:38 AM - Ram Kordale

- Description updated

#5 - 06/05/2024 08:53 AM - Ayanava Karmakar
- % Done changed from 50 to 80

#6 - 06/05/2024 10:57 AM - Ayanava Karmakar
- % Done changed from 80 to 90

#7 - 06/05/2024 11:13 AM - Ayanava Karmakar
- % Done changed from 90 to 80

#8 - 06/05/2024 11:26 AM - Ayanava Karmakar

- Description updated

#9 - 06/05/2024 12:01 PM - Ayanava Karmakar
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#10 - 06/05/2024 12:02 PM - Ayanava Karmakar
- Status changed from Resolved to Feedback

#11 - 06/10/2024 01:41 PM - Ayanava Karmakar

- Status changed from Feedback to Resolved
